The Bard's Tale IV: Barrows Deep - Information

The Bard's Tale IV: Barrows Deep - System requirements - Game cover

The Bard's Tale IV: Barrows Deep is a videogame developed by inXile Entertainment, published by inXile Entertainment, released on 18 - 09 - 2018 It falls under the following genre categories : Role-playing game


If you are looking to see if you can run The Bard's Tale IV: Barrows Deep on your computer, you've come to the right place. See what are the minimum and recommended for system requirements ( sys req ) for The Bard's Tale IV: Barrows Deep



Can I run The Bard's Tale IV: Barrows Deep?


If you were wondering if you could run The Bard's Tale IV: Barrows Deep, we will help you to get the answer. In order to be able to run The Bard's Tale IV: Barrows Deep, you will need a CPU better that Intel Core i5-2500K (4 * 3300) or equivalent, more than 8 GB RAM, a GPU that is better ranked than NVIDIA GeForce GTX 760 (2048 MB) or Radeon HD 7970 (3072 MB MB) . Check the other system requirements for the game, below.

The Bard's Tale IV: Barrows Deep Minimum system requirements

CPU Intel Core i5-2500K (4 * 3300) or equivalent
RAM 8 GB RAM
GPU NVIDIA GeForce GTX 760 (2048 MB) or Radeon HD 7970 (3072 MB MB)
DX -
Operating system Windows 7/8/8.1/10 (64 bit)
Storage 55 GB available space
Sound -
Optical Disk Drive -
Network connection -
Screen resolution -

Recommended system requirements for The Bard's Tale IV: Barrows Deep

CPU Intel i5-4590 equivalent or greater
RAM 8 GB RAM
GPU NVIDIA GTX 970/AMD 290 equivalent or greater
DX -
Operating system Windows 7/8/8.1/10 (64 bit)
Storage 55 GB available space
Sound -
Optical Disk Drive -
Network connection -
Screen resolution -

The Bard's Tale IV: Barrows Deep Information

Developer
inXile Entertainment
Publisher
inXile Entertainment
Genres
Role-playing game
Release Date:
18 - 09 - 2018

Related Games to The Bard's Tale IV: Barrows Deep